Sign (Gradle API 2.14.1)

Package: org.gradle.plugins.signing

## [Groovy] Class Sign

- org.gradle.plugins.signing.Sign

- All Implemented Interfaces and Traits:
    SignatureSpec

      @groovy.transform.CompileStatic
      class Sign
      extends DefaultTask

  A task for creating digital signature files for one or more; tasks, files, publishable artifacts or configurations.

  The task produces Signature

  objects that are publishable artifacts and can be assigned to another configuration.

  The signature objects are created with defaults and using this tasks signatory and signature type.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.api.internal.AbstractTask` | `TASK_NAME, TASK_DESCRIPTION, TASK_GROUP, TASK_TYPE, TASK_DEPENDS_ON, TASK_OVERWRITE, TASK_ACTION`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `required` Whether or not this task should fail if no signatory or signature type are configured at generation time.
    `Signatory` | `signatory` The signatory to the generated signatures.
    `SignatureType` | `signatureType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Sign ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `generate()` Generates the signature files.
    `protected org.gradle.api.internal.file.FileCollectionFactory` | `getFileCollectionFactory()`
    `FileCollection` | `getFilesToSign()` All of the files that will be signed by this task.
    `FileCollection` | `getSignatureFiles()` All of the signature files that will be generated by this operation.
    `DomainObjectSet<Signature>` | `getSignatures()` The signatures generated by this task.
    `Signature` | `getSingleSignature()` Returns the single signature generated by this task.
    `void` | `required(boolean required)` Change whether or not this task should fail if no signatory or signature type are configured at the time of generation.
    `void` | `sign(Task... tasks)` Configures the task to sign the archive produced for each of the given tasks (which must be archive tasks).
    `void` | `sign(PublishArtifact... publishArtifacts)` Configures the task to sign each of the given artifacts
    `void` | `sign(File... files)` Configures the task to sign each of the given files
    `void` | `sign(String classifier, File... files)` Configures the task to sign each of the given artifacts, using the given classifier as the classifier for the resultant signature publish artifact.
    `void` | `sign(Configuration... configurations)` Configures the task to sign every artifact of the given configurations
    `void` | `signatory(Signatory signatory)` Changes the signatory of the signatures.
    `void` | `signatureType(SignatureType type)` Changes the signature file representation for the signatures.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.internal.AbstractTask` | `org.gradle.api.internal.AbstractTask#setProperty(java.lang.String, java.lang.Object), org.gradle.api.internal.AbstractTask#toString(), org.gradle.api.internal.AbstractTask#compareTo(org.gradle.api.Task), org.gradle.api.internal.AbstractTask#compareTo(java.lang.Object), org.gradle.api.internal.AbstractTask#getName(), org.gradle.api.internal.AbstractTask#getActions(), org.gradle.api.internal.AbstractTask#setName(java.lang.String), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getState(), org.gradle.api.internal.AbstractTask#getPath(), org.gradle.api.internal.AbstractTask#getExtensions(), org.gradle.api.internal.AbstractTask#getLogger(), org.gradle.api.internal.AbstractTask#execute(), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#configure(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#getDescription(), org.gradle.api.internal.AbstractTask#leftShift(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#property(java.lang.String), org.gradle.api.internal.AbstractTask#isEnabled(), org.gradle.api.internal.AbstractTask#setEnabled(boolean), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#getOutputs(), org.gradle.api.internal.AbstractTask#onlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#onlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setOnlyIf(org.gradle.api.specs.Spec), org.gradle.api.internal.AbstractTask#setOnlyIf(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#setDidWork(boolean), org.gradle.api.internal.AbstractTask#getDidWork(), org.gradle.api.internal.AbstractTask#doFirst(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doFirst(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#doLast(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#doLast(groovy.lang.Closure), org.gradle.api.internal.AbstractTask#deleteAllActions(), org.gradle.api.internal.AbstractTask#getEnabled(), org.gradle.api.internal.AbstractTask#getAnt(), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#getLogging(), org.gradle.api.internal.AbstractTask#hasProperty(java.lang.String), org.gradle.api.internal.AbstractTask#getConvention(), org.gradle.api.internal.AbstractTask#setDescription(java.lang.String), org.gradle.api.internal.AbstractTask#getGroup(), org.gradle.api.internal.AbstractTask#setGroup(java.lang.String), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#getTaskDependencies(), org.gradle.api.internal.AbstractTask#setDependsOn(java.lang.Iterable), org.gradle.api.internal.AbstractTask#dependsOn([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#getProject(), org.gradle.api.internal.AbstractTask#setActions(java.util.List), org.gradle.api.internal.AbstractTask#getDependsOn(), org.gradle.api.internal.AbstractTask#dependsOnTaskDidWork(), org.gradle.api.internal.AbstractTask#getInputs(), org.gradle.api.internal.AbstractTask#getTemporaryDir(), org.gradle.api.internal.AbstractTask#mustRunAfter([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setMustRunAfter(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getMustRunAfter(), org.gradle.api.internal.AbstractTask#finalizedBy([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setFinalizedBy(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getFinalizedBy(), org.gradle.api.internal.AbstractTask#shouldRunAfter([Ljava.lang.Object;), org.gradle.api.internal.AbstractTask#setShouldRunAfter(java.lang.Iterable), org.gradle.api.internal.AbstractTask#getShouldRunAfter(), org.gradle.api.internal.AbstractTask#getStandardOutputCapture(), org.gradle.api.internal.AbstractTask#getAsDynamicObject(), org.gradle.api.internal.AbstractTask#setProject(org.gradle.api.Project), org.gradle.api.internal.AbstractTask#injectIntoNewInstance(org.gradle.api.internal.project.ProjectInternal, java.lang.String, java.lang.Class, java.util.concurrent.Callable), org.gradle.api.internal.AbstractTask#prependParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#getOnlyIf(), org.gradle.api.internal.AbstractTask#getImpliesSubProjects(), org.gradle.api.internal.AbstractTask#setImpliesSubProjects(boolean), org.gradle.api.internal.AbstractTask#getExecuter(), org.gradle.api.internal.AbstractTask#setExecuter(org.gradle.api.internal.tasks.TaskExecuter), org.gradle.api.internal.AbstractTask#getTemporaryDirFactory(), org.gradle.api.internal.AbstractTask#addValidator(org.gradle.api.internal.tasks.execution.TaskValidator), org.gradle.api.internal.AbstractTask#getValidators(), org.gradle.api.internal.AbstractTask#appendParallelSafeAction(org.gradle.api.Action), org.gradle.api.internal.AbstractTask#isHasCustomActions(), org.gradle.api.internal.AbstractTask#getTaskActions(), org.gradle.api.internal.AbstractTask#wait(long, int), org.gradle.api.internal.AbstractTask#wait(long), org.gradle.api.internal.AbstractTask#wait(), org.gradle.api.internal.AbstractTask#equals(java.lang.Object), org.gradle.api.internal.AbstractTask#hashCode(), org.gradle.api.internal.AbstractTask#getClass(), org.gradle.api.internal.AbstractTask#notify(), org.gradle.api.internal.AbstractTask#notifyAll()`

- - ### Property Detail

    - #### boolean required

      Whether or not this task should fail if no signatory or signature type are configured at generation time.

      Defaults to `true`.

    - #### Signatory signatory

      The signatory to the generated signatures.

    - #### SignatureType signatureType

  - ### Constructor Detail

    - #### Sign()

  - ### Method Detail

    - #### @TaskAction void generate()

      Generates the signature files.

    - #### @javax.inject.Inject protected org.gradle.api.internal.file.FileCollectionFactory getFileCollectionFactory()

    - #### FileCollection getFilesToSign()

      All of the files that will be signed by this task.

    - #### FileCollection getSignatureFiles()

      All of the signature files that will be generated by this operation.

    - #### DomainObjectSet<Signature> getSignatures()

      The signatures generated by this task.

    - #### Signature getSingleSignature()

      Returns the single signature generated by this task.

      throws:
        IllegalStateException if there is not exactly one signature.
      Returns:
        The signature.

    - #### void required(boolean required)

      Change whether or not this task should fail if no signatory or signature type are configured at the time of generation.

    - #### void sign(Task... tasks)

      Configures the task to sign the archive produced for each of the given tasks (which must be archive tasks).

    - #### void sign(PublishArtifact... publishArtifacts)

      Configures the task to sign each of the given artifacts

    - #### void sign(File... files)

      Configures the task to sign each of the given files

    - #### void sign(String classifier, File... files)

      Configures the task to sign each of the given artifacts, using the given classifier as the classifier for the resultant signature publish artifact.

    - #### void sign(Configuration... configurations)

      Configures the task to sign every artifact of the given configurations

    - #### void signatory(Signatory signatory)

      Changes the signatory of the signatures.

    - #### void signatureType(SignatureType type)

      Changes the signature file representation for the signatures.